EMI 1 (Kebnekaise) - Update 13 (17.02.2012)

The Update contains:

  • minor releases of BDII core v.1.2.0, BDII site v.1.1.0, FTS v. 2.2.8
  • revision release of StoRM v. 1.8.2

BDII core v. 1.2.0, task #25342

What's new

  • This is a patch release of the bdii package which addresses a recently reported security vulnerability. An update to YAIM has also been done so that the delayed delete functionality of the BDII can be controlled. By default this is set to 12 hours. A new version of the service provider has also been released which includes support for ARGUS.

Installation and configuration

  • These packages need to be installed and the BDII restarted. If the delayed delete functionality is required, YAIM should be re-run. The delete delay can be controlled with the YAIM attribute BDII_DELETE_DELAY.

Known issues

  • none

Updated Artefacts

Binary
bdii-5.2.5-3.el5.noarch.rpm
glite-yaim-bdii-4.3.8-1.el5.noarch.rpm
glite-info-provider-service-1.8.1-2.el5.noarch.rpm
Binary tarball
bdii-5.2.5.tgz
glite-yaim-bdii-4.3.8.tgz
glite-info-provider-service-1.8.1.tgz
Sources RPM
bdii-5.2.5-3.src.rpm
glite-yaim-bdii-4.3.8-1.el5.src.rpm
glite-info-provider-service-1.8.1-2.el5.src.rpm
Sources tarball
bdii-5.2.5.src.tgz
glite-yaim-bdii-4.3.8.src.tgz
glite-info-provider-service-1.8.1.src.tgz

BDII site v. 1.1.0, task #25616

What's new

  • This is a minor update to enable OpenLDAP 2.4 for the site BDII.

Installation and configuration

  • Upgrading bdii-config-site will install OpenLDAP 2.4. On restarting the BDII, OpenLDAP 2.4 will be used.

Known issues

  • none

Updated Artefacts

Binary
bdii-config-site-1.0.5-2.el5.noarch.rpm
Binary tarball
bdii-config-site-1.0.5..tgz
Sources RPM
bdii-config-site-1.0.5-2.el5.src.rpm
Sources tarball
bdii-config-site-1.0.5.src.tgz

FTS v. 2.2.8, task #26061

What's new

  • nagios probes for FTS
  • support FTS monitoring messages
  • change FTS file overwrite logic
  • support for gridftp endpoints
  • Oracle 11g integration

Installation and configuration

  • FTS installation and configuration is implemented using yum tool and yaim scripts accordingly

Known issues

  • Oracle instant client libraries/packages must installed manually

Updated Artefacts

Binary
agents-common-1.1.5-1.sl5.x86_64.rpm
config-service-2.6.9-1.sl5.x86_64.rpm
delegation-api-c-2.1.2-1.sl5.x86_64.rpm
delegation-cli-2.1.3-1.sl5.x86_64.rpm
emi-fta_oracle-2.2.8-1.sl5.x86_64.rpm
emi-fts_oracle-2.2.8-1.sl5.x86_64.rpm
gridftp-ifce-2.1.3-1.sl5.x86_64.rpm
is-interface-1.12.1-1.sl5.x86_64.rpm
msg-ifce-1.0.0-2.sl5.x86_64.rpm
nagios-plugins-fts-1.0.0-1.noarch.rpm
sd2cache-1.1.5-1.sl5.x86_64.rpm
srm-api-c-1.2.2-1.sl5.x86_64.rpm
srm-util-cpp-2.4.2-1.sl5.x86_64.rpm
srm2-api-c-2.3.2-1.sl5.x86_64.rpm
transfer-agents-3.4.11-1.sl5.x86_64.rpm
transfer-cli-4.0.3-1.sl5.x86_64.rpm
transfer-fts-3.7.7-2.noarch.rpm
transfer-interface-3.7.2-1.sl5.noarch.rpm
transfer-proxyrenewal-1.0.2-1.sl5.x86_64.rpm
transfer-scripts-2.2.2-1.sl5.noarch.rpm
transfer-url-copy-4.1.3-1.sl5.x86_64.rpm
util-c-1.3.2-1.sl5.x86_64.rpm
yaim.fts-4.1.14-1.sl5.noarch.rpm
Binary tarball
agents-common-1.1.5-1.tar.gz
config-service-2.6.9-1.tar.gz
delegation-api-c-2.1.2-1.tar.gz
delegation-cli-2.1.3-1.tar.gz
emi-fta_oracle-2.2.8-1.tar.gz
emi-fts_oracle-2.2.8-1.tar.gz
gridftp-ifce-2.1.3-1.tar.gz
is-interface-1.12.1-1.tar.gz
msg-ifce-1.0.0-2.tar.gz
sd2cache-1.1.5-1.tar.gz
srm-api-c-1.2.2-1.tar.gz
srm-util-cpp-2.4.2-1.tar.gz
srm2-api-c-2.3.2-1.tar.gz
transfer-agents-3.4.11-1.tar.gz
transfer-cli-4.0.3-1.tar.gz
transfer-interface-3.7.2-1.tar.gz
transfer-proxyrenewal-1.0.2-1.tar.gz
transfer-scripts-2.2.2-1.tar.gz
transfer-url-copy-4.1.3-1.tar.gz
util-c-1.3.2-1.tar.gz
yaim.fts-4.1.14-1.tar.gz
Sources tarball
agents-common-1.1.5-1.src.tar.gz
config-service-2.6.9-1.src.tar.gz
delegation-api-c-2.1.2-1.src.tar.gz
delegation-cli-2.1.3-1.src.tar.gz
emi-fta_oracle-2.2.8-1.src.tar.gz
emi-fts_oracle-2.2.8-1.src.tar.gz
gridftp-ifce-2.1.3-1.src.tar.gz
is-interface-1.12.1-1.src.tar.gz
msg-ifce-1.0.0-2.src.tar.gz
sd2cache-1.1.5-1.src.tar.gz
srm-api-c-1.2.2-1.src.tar.gz
srm-util-cpp-2.4.2-1.src.tar.gz
srm2-api-c-2.3.2-1.src.tar.gz
transfer-agents-3.4.11-1.src.tar.gz
transfer-cli-4.0.3-1.src.tar.gz
transfer-interface-3.7.2-1.src.tar.gz
transfer-proxyrenewal-1.0.2-1.src.tar.gz
transfer-scripts-2.2.2-1.src.tar.gz
transfer-url-copy-4.1.3-1.src.tar.gz
util-c-1.3.2-1.src.tar.gz
yaim.fts-4.1.14-1.src.tar.gz

StoRM SE v. 1.8.2, task #25353

StoRM service is composed by 5 sub-components (4 servers: BE, FE, GridFTP, GridHTTPS, Checksummer and 1 client), which are deployable in distinguished hosts. This release represents the fourth of StoRM-SE in EMI-1 and regards the following components: BE, FE and YAIM.The other components are the same of the previous version v1.8.1: Client, GridFTP and GHTTPS. Checksummer service will be released soon.

StoRM-BackEnd-Server

What's new

  • Server version is 1.8.2-2. It is a revision update (only bug fixes)
  • Fixed bugs:
    • Bug @195: logrotate and cron.d task
    • Bug @209: The authorization rest service can erroneously deny autorization
    • Bug @227: Error in database password loaded usage
    • Bug @228: Null pointer in DAO usage
    • Bug @231: BE restart sometimes fail

Installation and configuration

  • To install storm-backend-server, install its metapackage RPM: emi-storm-backend-server-mp
  • To configure storm-backend-server use yaim on the node se_storm_backend.
  • The System Administration guide contains any useful information about installation and configuration. Moreover, a good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_backend
  • If you configure other services with yaim on the same host always specify also se_storm_backend node

  • To upgrade storm-backend-server:
    • stop the backend service,
    • yum update storm-backend-server
    • service storm-backend-server restart.
    • restart all the other storm services (not required, but recommended)

Known issues

  • None

StoRM-FrontEnd-Server

What's new

  • Server version is 1.7.3-1. It is a revision update (only bug fixes).
  • Fixed bugs:
    • Bug @196: logrotate and cron.d task

Installation and configuration

  • To install storm-frontend-server install its metapackage RPM: emi-storm-frontend-server-mp
  • To configure storm-frontend-server use yaim on node se_storm_frontend. A good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_frontend.
  • The service uses ports 8444 (inbound), 8080 (outbound to BE host), 3306 (outbound to MySQL host), so open them on your firewall.
  • The service needs to be installed on a machine on which storm file system is mounted.

  • To upgrade torm-gridhttps-server:
    • stop the service,
    • yum update storm-frontend-server
    • service storm-frontend-server restart.
    • restart all the other storm services (not required, but recommended)

Known issues

  • none

emi.storm.yaim-storm

What's new

  • YAIM-StoRM version is 4.1.8-1. It is a revisione update.
  • Fixed bugs:
    • Bug @207: Attributes not valued should be not published
    • Bug @208: GLUE2EndpointCapability (multiple?) is/are wrong

Installation and configuration

  • This component is installed as a dependency of the other StoRM components (FE, FE, GHTTP, GFTP). You should not install it by yourself.

Known issues

  • None

Documentation

Updated Artefacts

Binary
storm-backend-server-1.8.2-2.sl5.x86_64.rpm
storm-common-1.1.3-1.sl5.noarch.rpm
storm-frontend-server-1.7.3-1.sl5.x86_64.rpm
yaim-storm-4.1.8-1.sl5.noarch.rpm
Binary tarball
yaim-storm-4.1.8-1.tar.gz
storm-frontend-server-1.7.3-1.tar.gz
storm-common-1.1.3-1.tar.gz
storm-backend-server-1.8.2-2.tar.gz
Sources RPM
yaim-storm-4.1.8-1.sl5.src.rpm
storm-frontend-server-1.7.3-1.sl5.src.rpm
storm-common-1.1.3-1.sl5.src.rpm
storm-backend-server-1.8.2-2.sl5.src.rpm
Sources tarball
yaim-storm-4.1.8-1.src.tar.gz
storm-frontend-server-1.7.3-1.sl5.x86_64.src.tar.gz
storm-common-1.1.3-1.src.tar.gz
storm-backend-server-1.8.2.tar.gz

-- DoinaCristinaAiftimiei - 16-Feb-2012

Edit | Attach | Watch | Print version | History: r1 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r1 - 2012-02-16 - DoinaCristinaAiftimiei
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EMI All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback